/// Convenience class for accessing CSS colors.
abstract class Color {
  /// No color (transparent black).
  static final String none = "rgba(0,0,0,0)";

  /// Standard color name.
  static const antiqueWhite = "antiquewhite",
      aqua = "aqua",
      aquamarine = "aquamarine",
      azure = "azure",
      beige = "beige",
      bisque = "bisque",
      black = "black",
      blanchedAlmond = "blanchedalmond",
      blue = "blue",
      blueViolet = "blueviolet",
      brown = "brown",
      burlyWood = "burlywood",
      cadetBlue = "cadetblue",
      chartreuse = "chartreuse",
      chocolate = "chocolate",
      coral = "coral",
      cornflowerBlue = "cornflowerblue",
      cornSilk = "cornsilk",
      crimson = "crimson",
      cyan = "cyan",
      darkBlue = "darkblue",
      darkCyan = "darkcyan",
      darkGoldenrod = "darkgoldenrod",
      darkGray = "darkgray",
      darkGreen = "darkgreen",
      darkKhaki = "darkkhaki",
      darkMagenta = "darkmagenta",
      darkOliveGreen = "darkolivegreen",
      darkOrange = "darkorange",
      darkOrchid = "darkorchid",
      darkRed = "darkred",
      darkSalmon = "darksalmon",
      darkSeaGreen = "darkseagreen",
      darkSlateBlue = "darkslateblue",
      darkSlateGray = "darkslategray",
      darkTurquoise = "darkturquoise",
      darkViolet = "darkviolet",
      deepPink = "deeppink",
      deepSkyBlue = "deepskyblue",
      dimGray = "dimgray",
      dodgerBlue = "dodgerblue",
      fireBrick = "firebrick",
      floralWhite = "floralwhite",
      forestGreen = "forestgreen",
      fuchsia = "fuchsia",
      gainsboro = "gainsboro",
      ghostWhite = "ghostwhite",
      gold = "gold",
      goldenrod = "goldenrod",
      gray = "gray",
      green = "green",
      greenYellow = "greenyellow",
      honeydew = "honeydew",
      hotPink = "hotpink",
      indianRed = "indianred",
      indigo = "indigo",
      ivory = "ivory",
      khaki = "khaki",
      lavender = "lavender",
      lavenderBlush = "lavenderblush",
      lawnGreen = "lawngreen",
      lemonChiffon = "lemonchiffon",
      lightBlue = "lightblue",
      lightCoral = "lightcoral",
      lightCyan = "lightcyan",
      lightGoldenrodYellow = "lightgoldenrodyellow",
      lightGray = "lightgray",
      lightGreen = "lightgreen",
      lightPink = "lightpink",
      lightSalmon = "lightsalmon",
      lightSeaGreen = "lightseagreen",
      lightSkyBlue = "lightskyblue",
      lightSlateGray = "lightslategray",
      lightSteelBlue = "lightsteelblue",
      lightYellow = "lightyellow",
      lime = "lime",
      limeGreen = "limegreen",
      linen = "linen",
      magenta = "magenta",
      maroon = "maroon",
      mediumAquamarine = "mediumaquamarine",
      mediumBlue = "mediumblue",
      mediumOrchid = "mediumorchid",
      mediumPurple = "mediumpurple",
      mediumSeaGreen = "mediumseagreen",
      mediumSlateBlue = "mediumslateblue",
      mediumSpringGreen = "mediumspringgreen",
      mediumTurquoise = "mediumturquoise",
      mediumVioletRed = "mediumvioletred",
      midnightBlue = "midnightblue",
      mintCream = "mintcream",
      mistyRose = "mistyrose",
      moccasin = "moccasin",
      navajoWhite = "navajowhite",
      navy = "navy",
      oldLace = "oldlace",
      olive = "olive",
      oliveDrab = "olivedrab",
      orange = "orange",
      orangeRed = "orangered",
      orchid = "orchid",
      paleGoldenrod = "palegoldenrod",
      paleGreen = "palegreen",
      paleTurquoise = "paleturquoise",
      paleVioletRed = "palevioletred",
      papayaWhip = "papayawhip",
      peachPuff = "peachpuff",
      peru = "peru",
      pink = "pink",
      plum = "plum",
      powderBlue = "powderblue",
      purple = "purple",
      rebeccaPurple = "rebeccapurple",
      red = "red",
      rosyBrown = "rosybrown",
      royalBlue = "royalblue",
      saddleBrown = "saddlebrown",
      salmon = "salmon",
      sandyBrown = "sandybrown",
      seaGreen = "seagreen",
      seaShell = "seashell",
      sienna = "sienna",
      silver = "silver",
      skyBlue = "skyblue",
      slateBlue = "slateblue",
      slateGray = "slategray",
      snow = "snow",
      springGreen = "springgreen",
      steelBlue = "steelblue",
      tan = "tan",
      teal = "teal",
      thistle = "thistle",
      tomato = "tomato",
      turquoise = "turquoise",
      violet = "violet",
      wheat = "wheat",
      white = "white",
      whiteSmoke = "whitesmoke",
      yellow = "yellow",
      yellowGreen = "yellowgreen";

  /// Maps color name to hex data.
  ///
  /// Example:
  ///
  /// ```dart
  /// print(Color.colorData[Color.antiqueWhite]);
  /// ```
  /// Output:
  /// ```text
  /// FAEBD7
  /// ```
  ///
  static final Map<String, String> colorData = {
    antiqueWhite: "FAEBD7",
    aqua: "00FFFF",
    aquamarine: "7FFFD4",
    azure: "F0FFFF",
    beige: "F5F5DC",
    bisque: "FFE4C4",
    black: "000000",
    blanchedAlmond: "FFEBCD",
    blue: "0000FF",
    blueViolet: "8A2BE2",
    brown: "A52A2A",
    burlyWood: "DEB887",
    cadetBlue: "5F9EA0",
    chartreuse: "7FFF00",
    chocolate: "D2691E",
    coral: "FF7F50",
    cornflowerBlue: "6495ED",
    cornSilk: "FFF8DC",
    crimson: "DC143C",
    cyan: "00FFFF",
    darkBlue: "00008B",
    darkCyan: "008B8B",
    darkGoldenrod: "B8860B",
    darkGray: "A9A9A9",
    darkGreen: "006400",
    darkKhaki: "BDB76B",
    darkMagenta: "8B008B",
    darkOliveGreen: "556B2F",
    darkOrange: "FF8C00",
    darkOrchid: "9932CC",
    darkRed: "8B0000",
    darkSalmon: "E9967A",
    darkSeaGreen: "8FBC8F",
    darkSlateBlue: "483D8B",
    darkSlateGray: "2F4F4F",
    darkTurquoise: "00CED1",
    darkViolet: "9400D3",
    deepPink: "FF1493",
    deepSkyBlue: "00BFFF",
    dimGray: "696969",
    dodgerBlue: "1E90FF",
    fireBrick: "B22222",
    floralWhite: "FFFAF0",
    forestGreen: "228B22",
    fuchsia: "FF00FF",
    gainsboro: "DCDCDC",
    ghostWhite: "F8F8FF",
    gold: "FFD700",
    goldenrod: "DAA520",
    gray: "808080",
    green: "008000",
    greenYellow: "ADFF2F",
    honeydew: "F0FFF0",
    hotPink: "FF69B4",
    indianRed: "CD5C5C",
    indigo: "4B0082",
    ivory: "FFFFF0",
    khaki: "F0E68C",
    lavender: "E6E6FA",
    lavenderBlush: "FFF0F5",
    lawnGreen: "7CFC00",
    lemonChiffon: "FFFACD",
    lightBlue: "ADD8E6",
    lightCoral: "F08080",
    lightCyan: "E0FFFF",
    lightGoldenrodYellow: "FAFAD2",
    lightGray: "D3D3D3",
    lightGreen: "90EE90",
    lightPink: "FFB6C1",
    lightSalmon: "FFA07A",
    lightSeaGreen: "20B2AA",
    lightSkyBlue: "87CEFA",
    lightSlateGray: "778899",
    lightSteelBlue: "B0C4DE",
    lightYellow: "FFFFE0",
    lime: "00FF00",
    limeGreen: "32CD32",
    linen: "FAF0E6",
    magenta: "FF00FF",
    maroon: "800000",
    mediumAquamarine: "66CDAA",
    mediumBlue: "0000CD",
    mediumOrchid: "BA55D3",
    mediumPurple: "9370DB",
    mediumSeaGreen: "3CB371",
    mediumSlateBlue: "7B68EE",
    mediumSpringGreen: "00FA9A",
    mediumTurquoise: "48D1CC",
    mediumVioletRed: "C71585",
    midnightBlue: "191970",
    mintCream: "F5FFFA",
    mistyRose: "FFE4E1",
    moccasin: "FFE4B5",
    navajoWhite: "FFDEAD",
    navy: "000080",
    oldLace: "FDF5E6",
    olive: "808000",
    oliveDrab: "6B8E23",
    orange: "FFA500",
    orangeRed: "FF4500",
    orchid: "DA70D6",
    paleGoldenrod: "EEE8AA",
    paleGreen: "98FB98",
    paleTurquoise: "AFEEEE",
    paleVioletRed: "DB7093",
    papayaWhip: "FFEFD5",
    peachPuff: "FFDAB9",
    peru: "CD853F",
    pink: "FFC0CB",
    plum: "DDA0DD",
    powderBlue: "B0E0E6",
    purple: "800080",
    rebeccaPurple: "663399",
    red: "FF0000",
    rosyBrown: "BC8F8F",
    royalBlue: "4169E1",
    saddleBrown: "8B4513",
    salmon: "FA8072",
    sandyBrown: "F4A460",
    seaGreen: "2E8B57",
    seaShell: "FFF5EE",
    sienna: "A0522D",
    silver: "C0C0C0",
    skyBlue: "87CEEB",
    slateBlue: "6A5ACD",
    slateGray: "708090",
    snow: "FFFAFA",
    springGreen: "00FF7F",
    steelBlue: "4682B4",
    tan: "D2B48C",
    teal: "008080",
    thistle: "D8BFD8",
    tomato: "FF6347",
    turquoise: "40E0D0",
    violet: "EE82EE",
    wheat: "F5DEB3",
    white: "FFFFFF",
    whiteSmoke: "F5F5F5",
    yellow: "FFFF00",
    yellowGreen: "9ACD32"
  };

  /// All standard color names.
  static List<String> get colors => [...colorData.keys];
}

/// Convenience class for accessing color picker colors.
abstract class Crayon {
  /// Crayon color name.
  static const aluminum = "aluminum",
      aqua = "aqua",
      asparagus = "asparagus",
      banana = "banana",
      blueberry = "blueberry",
      bubblegum = "bubblegum",
      cantaloupe = "cantaloupe",
      carnation = "carnation",
      cayenne = "cayenne",
      clover = "clover",
      eggplant = "eggplant",
      fern = "fern",
      flora = "flora",
      grape = "grape",
      honeydew = "honeydew",
      ice = "ice",
      iron = "iron",
      lavendar = "lavendar",
      lead = "lead",
      lemon = "lemon",
      licorice = "licorice",
      lime = "lime",
      magenta = "magenta",
      magnesium = "magnesium",
      maraschino = "maraschino",
      maroon = "maroon",
      mercury = "mercury",
      midnight = "midnight",
      mocha = "mocha",
      moss = "moss",
      nickel = "nickel",
      ocean = "ocean",
      orchid = "orchid",
      plum = "plum",
      salmon = "salmon",
      seaFoam = "seaFoam",
      silver = "silver",
      sky = "sky",
      snow = "snow",
      spindrift = "spindrift",
      spring = "spring",
      steel = "steel",
      strawberry = "strawberry",
      tangerine = "tangerine",
      teal = "teal",
      tin = "tin",
      tungsten = "tungsten",
      turquoise = "turquoise";

  /// Maps color name to hex data.
  ///
  /// Example:
  ///
  /// ```dart
  /// print(Crayon.colorData[Crayon.aluminum]);
  /// ```
  /// Output:
  /// ```text
  /// A9A9A9
  /// ```
  ///
  static Map<String, String> colorData = const {
    aluminum: "A9A9A9",
    aqua: "0096FF",
    asparagus: "929000",
    banana: "FFFC79",
    blueberry: "0433FF",
    bubblegum: "FF85FF",
    cantaloupe: "FFD479",
    carnation: "FF8AD8",
    cayenne: "941100",
    clover: "008F00",
    eggplant: "531B93",
    fern: "4F8F00",
    flora: "73FA79",
    grape: "9437FF",
    honeydew: "D4FB79",
    ice: "73FDFF",
    iron: "5E5E5E",
    lavendar: "D783FF",
    lead: "212121",
    lemon: "FFFB00",
    licorice: "000000",
    lime: "8EFA00",
    magenta: "FF40FF",
    magnesium: "C0C0C0",
    maraschino: "FF2600",
    maroon: "941751",
    mercury: "EBEBEB",
    midnight: "011993",
    mocha: "945200",
    moss: "009051",
    nickel: "929292",
    ocean: "005493",
    orchid: "7A81FF",
    plum: "942193",
    salmon: "FF7E79",
    seaFoam: "00FA92",
    silver: "D6D6D6",
    sky: "76D6FF",
    snow: "FFFFFF",
    spindrift: "73FCD6",
    spring: "00F900",
    steel: "797979",
    strawberry: "FF2F92",
    tangerine: "FF9300",
    teal: "009193",
    tin: "919191",
    tungsten: "424242",
    turquoise: "00FDFF"
  };

  /// All crayon color names.
  static List<String> get colors => [...colorData.keys];
}
